event_buffer_free
event_buffer_priority_set
Libevent Functions
PHP Manual

# event_buffer_new

(PECL libevent >= 0.0.1)

event_buffer_new — Create new buffered event

### Description

resource event_buffer_new ( resource `$stream` , mixed `$readcb` , mixed `$writecb` , mixed `$errorcb` [, mixed `$arg` ] )

Libevent provides an abstraction layer on top of the regular event API. Using buffered event you don't need to deal with the I/O manually, instead it provides input and output buffers that get filled and drained automatically.

### Parameters

`stream`

  Valid PHP stream resource. Must be castable to file descriptor.

`readcb`

  Callback to invoke where there is data to read, or NULL if no callback is desired.

`writecb`

  Callback to invoke where the descriptor is ready for writing, or NULL if no callback is desired.

`errorcb`

  Callback to invoke where there is an error on the descriptor, cannot be NULL.

`arg`

  An argument that will be passed to each of the callbacks (optional).

### Return Values

event_buffer_new() returns new buffered event resource on success or `FALSE` on error.

event_buffer_free
event_buffer_priority_set
Libevent Functions
PHP Manual